package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 角色表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysRole extends BaseEntity2<SysRole> {

    private static final long serialVersionUID = 1L;

    /**
     * 系统id
     */
    private Long sysId;

    /**
     * 标识
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 描述
     */
    private String description;

    /**
     * 状态
     */
    private Boolean status;

    /**
     * 是否预留角色
     */
    private Boolean isLeave;

}
