package com.xy.entity;

import com.xy.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 业务用户角色表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysUserRole extends BaseEntity<SysUserRole> {

    private static final long serialVersionUID = 1L;

    /**
     * 业务用户id
     */
    private Long workUserId;

    /**
     * 角色id
     */
    private Long roleId;

    /**
     * 系统id
     */
    private Long sysId;


}
