package com.xy.entity;

import com.xy.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 业务用户第三方账号表;
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysWorkUserThird extends BaseEntity<SysWorkUserThird> {

    private static final long serialVersionUID = 1L;

    /**
     * 业务用户id
     */
    private Long workUserId;

    /**
     * 第三方标识
     */
    private String thirdId;

    /**
     * 类型;1=微信 2=其他
     */
    private Integer type;

    /**
     * 头像
     */
    private String pic;

    /**
     * 名称
     */
    private String name;

    /**
     * 系统ID
     */
    private Long sysId;


}
