package com.xy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xy.entity.SysDictItem;

/**
 * <p>
 * 字典项 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
public interface SysDictItemService extends IService<SysDictItem> {
    /**
     * 删除字典项
     *
     * @param id 字典项ID
     * @return
     */
    void removeDictItem(Long id);

    /**
     * 更新字典项
     *
     * @param item 字典项
     * @return
     */
    void updateDictItem(SysDictItem item);
    

}
