package com.xy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel("批量删除")
@Accessors(chain = true)
public class BatchDeleteDto {

    @NotEmpty(message = "未选中删除对象")
    @ApiModelProperty("ID数组")
    private List<Long> ids;


}
