package com.xy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("删除DTO")
@Accessors(chain = true)
public class CommonIdDto {


    /**
     * id
     */
    @NotNull(message = "ID不可为空")
    @ApiModelProperty(value = "ID", required = true)
    private Long id;
}
