package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 部门表;
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysDept extends BaseEntity2<SysDept> {

    private static final long serialVersionUID = 1L;

    /**
     * 父id
     */
    private Long parentId;


    /**
     * 系统id
     */
    private Long sysId;

    /**
     * 角色id;多个,号分隔
     */
    private String roleId;

    /**
     * 名称
     */
    private String name;

    /**
     * 标识
     */
    private String code;

    /**
     * 状态(true启用，false)
     */
    private Boolean status;
    /**
     * 排序
     */
    private Integer sortNum;

}
