package com.xy.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 部门角色表;
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-15
 */
@Getter
@Setter
@Accessors(chain = true)
@ApiModel(value = "SysDeptRole对象", description = "部门角色表;")
public class SysDeptRole extends Model<SysDeptRole> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("系统ID")
    private Long sysId;

}
