package com.xy.entity;

import com.xy.base.BaseEntity2;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 权限用户表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Api("权限用户")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysSystemUser extends BaseEntity2<SysSystemUser> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("最后登录时间")
    private LocalDateTime lastLoginTime;

    @ApiModelProperty("登录次数")
    private Integer loginNum;

    @ApiModelProperty("状态 true=启用 false=封禁")
    private Boolean status;

}
