package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统属性表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysSystemValue extends BaseEntity2<SysSystemValue> {

    private static final long serialVersionUID = 1L;

    /**
     * 系统id
     */
    private Long sysId;

    /**
     * 属性编码
     */
    private String code;

    /**
     * 属性值
     */
    private String value;

    /**
     * 状态
     */
    private Boolean status;

}
