package com.xy.dto.SysDict;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.vo.BaseVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 字典类型
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
@Data
@Accessors(chain = true)
@ApiModel("字典类型")
public class SysDictDto extends BaseVo {


    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("标识")
    private String dictKey;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否是系统内置")
    private Boolean systemFlag;
    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("更新人")
    private Long updateUser;

}
