package com.xy.dto.SysDict;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 字典项
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
@Data
@Accessors(chain = true)
@ApiModel("字典项")
public class SysDictItemPageDto {

    @ApiModelProperty("分页对象")
    private PageBean page;

    @ApiModelProperty("字典ID")
    private Long dictId;

    @ApiModelProperty("字典标识")
    private String dictKey;

    @ApiModelProperty("值")
    private String value;

    @ApiModelProperty("标签")
    private String label;

 
    @ApiModelProperty("描述")
    private String description;


}
