package com.xy.dto.SysDict;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel("数据字典类型分页请求")
@Accessors(chain = true)
public class SysDictPageDto {


    @ApiModelProperty("分页对象")
    private PageBean page;

  
    @ApiModelProperty("标识")
    private String dictKey;

    @ApiModelProperty("描述")
    private String description;


    @ApiModelProperty("是否是系统内置")
    private Boolean systemFlag;


}
