package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("接口鉴权")
@Accessors(chain = true)
public class AuthByInterface {

    @NotNull(message = "systemId不能为空")
    @ApiModelProperty("系统ID")
    private Long systemId;

    @NotBlank(message = "uri不能为空")
    @ApiModelProperty("接口uri")
    private String uri;

}
