package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel("删除")
@Accessors(chain = true)
public class DelDto {

    @ApiModelProperty(value = "业务用户ID", required = true)
    @NotEmpty(message = "未选中用户")
    private List<Long> id;
}
