package com.xy.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@ApiModel("按系统分组展示角色")
@Accessors(chain = true)
public class SysRoleGroupBySysVo {


    @ApiModelProperty("系统ID")
    private Long sysId;

    @ApiModelProperty("角色名称")
    private String name;

    @ApiModelProperty("角色菜单")
    private List<SysRoleVo> sysRoleVos;


}

 